<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <default>
    <menu n="10">
      <label>Carreidas 160 Jet</label>
      <enabled type="bool">true</enabled>
      <item n="0">
        <label>Autostart</label>
        <binding>
          <command>property-toggle</command>
          <property>controls/electric/battery-switch</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/electric/engine/generator</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/lighting/instrument-lights</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/lighting/nav-lights</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/lighting/strobe</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/lighting/beacon</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/anti-ice/engine/carb-heat</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/engines/engine[0]/fuel-pump</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/engines/engine[1]/fuel-pump</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/engines/engine[2]/fuel-pump</property>
        </binding>
        <!-- ******************************************************* -->
        <binding>
          <command>property-toggle</command>
          <property>controls/switches/starterkey-insert</property>
        </binding>
        <!-- Magnetos ON -->
        <binding>
          <condition>
            <property>controls/switches/starterkey-insert</property>
          </condition>
          <command>property-assign</command>
          <property>controls/engines/engine[0]/magnetos</property>
          <value>3</value>
        </binding>
        <binding>
          <condition>
            <property>controls/switches/starterkey-insert</property>
          </condition>
          <command>property-assign</command>
          <property>controls/engines/engine[1]/magnetos</property>
          <value>3</value>
        </binding>
        <binding>
          <condition>
            <property>controls/switches/starterkey-insert</property>
          </condition>
          <command>property-assign</command>
          <property>controls/engines/engine[2]/magnetos</property>
          <value>3</value>
        </binding>
        <binding>
          <condition>
            <property>controls/switches/starterkey-insert</property>
          </condition>
          <command>property-assign</command>
          <property>consumables/fuel/tank[0]/selected</property>
          <value>true</value>
        </binding>
        <binding>
          <condition>
            <property>controls/switches/starterkey-insert</property>
          </condition>
          <command>property-assign</command>
          <property>consumables/fuel/tank[1]/selected</property>
          <value>true</value>
        </binding>
        <binding>
          <condition>
            <property>controls/switches/starterkey-insert</property>
          </condition>
          <command>property-assign</command>
          <property>consumables/fuel/tank[2]/selected</property>
          <value>true</value>
        </binding>
        <!-- Magnetos OFF -->
        <binding>
          <condition>
            <not><property>controls/switches/starterkey-insert</property></not>
          </condition>
          <command>property-assign</command>
          <property>controls/engines/engine[0]/magnetos</property>
          <value>0</value>
        </binding>
        <binding>
          <condition>
            <not><property>controls/switches/starterkey-insert</property></not>
          </condition>
          <command>property-assign</command>
          <property>controls/engines/engine[1]/magnetos</property>
          <value>0</value>
        </binding>
        <binding>
          <condition>
            <not><property>controls/switches/starterkey-insert</property></not>
          </condition>
          <command>property-assign</command>
          <property>controls/engines/engine[2]/magnetos</property>
          <value>0</value>
        </binding>
        <binding>
          <condition>
            <not><property>controls/switches/starterkey-insert</property></not>
          </condition>
          <command>property-assign</command>
          <property>consumables/fuel/tank[0]/selected</property>
          <value>false</value>
        </binding>
        <binding>
          <condition>
            <not><property>controls/switches/starterkey-insert</property></not>
          </condition>
          <command>property-assign</command>
          <property>consumables/fuel/tank[1]/selected</property>
          <value>false</value>
        </binding>
        <binding>
          <condition>
            <not><property>controls/switches/starterkey-insert</property></not>
          </condition>
          <command>property-assign</command>
          <property>consumables/fuel/tank[2]/selected</property>
          <value>false</value>
        </binding>
        <!-- ******************************************************* -->
        <binding>
          <condition>
            <property>controls/engines/engine[0]/cutoff</property>
            <property>controls/engines/engine[1]/cutoff</property>
            <property>controls/engines/engine[2]/cutoff</property>
          </condition>
          <command>nasal</command>
          <script>engines.autostart();</script>
        </binding>
        <binding>
          <condition>
            <not><property>controls/engines/engine[0]/cutoff</property></not>
            <not><property>controls/engines/engine[1]/cutoff</property></not>
            <not><property>controls/engines/engine[2]/cutoff</property></not>
          </condition>
          <command>nasal</command>
          <script>engines.autostop();</script>
        </binding>
      </item>
      <item>
        <label>Autopilot Settings</label>
        <binding>
          <command>nasal</command>
          <script>systems.ap_settings.open()</script>
        </binding>
      </item>
      <item>
        <label>Select Livery</label>
        <binding>
          <command>nasal</command>
          <script>aircraft.livery.dialog.toggle()</script>
        </binding>
      </item>
      <item>
        <label>Immatriculation</label>
        <binding>
          <command>nasal</command>
          <script>carreidas.immat_dialog.toggle()</script>
        </binding>
      </item>
      <item>
        <label>EFB</label>
        <binding>
          <command>nasal</command>
          <script>systems.EFB.open();</script>
        </binding>
      </item>
    </menu>
  </default>

</PropertyList>

